datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanv4 <- function() showQCData("illuminaHumanv4", datacache)
illuminaHumanv4_dbconn <- function() dbconn(datacache)
illuminaHumanv4_dbfile <- function() dbfile(datacache)
illuminaHumanv4_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanv4_dbInfo <- function() dbInfo(datacache)

illuminaHumanv4ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanv4.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "illuminaHumanv4", "chip illuminaHumanv4", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanv4_dbconn())
}

